PickGroup 属性 (ActiveX)
确定选取组中的单个对象是否选择整个组。 支持的平台:仅限 Windows 属性值只读:不 类型:布尔
言论此属性的初始值为 。False 例子VBA: Sub Example_PickGroup() ' This example reads and modifies the preference value that ' determines if picking a single object in a group selects the entire group. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesSelection Dim originalValue As Variant, newValue As Variant ' Get the user preferences object Set ACADPref = ThisDrawing.Application.Preferences.Selection ' Read and display the original value originalValue = ACADPref.PickGroup MsgBox "The PickGroup preference is set to: " & originalValue ' Modify the PickGroup preference by toggling the value ACADPref.PickGroup = Not (ACADPref.PickGroup) newValue = ACADPref.PickGroup MsgBox "The PickGroup preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.PickGroup = originalValue MsgBox "The PickGroup preference was reset back to: " & originalValue End Sub 可视化 LISP: (vl-load-com) (defun c:Example_PickGroup() ;; This example reads and modifies the preference value that ;; determines if picking a single object in a group selects the entire group. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Read and display the original value (setq originalValue (vla-get-PickGroup (vla-get-Selection preferences))) (alert (strcat "The PickGroup preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the PickGroup preference by toggling the value (vla-put-PickGroup (vla-get-Selection preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-PickGroup (vla-get-Selection preferences))) (alert (strcat "The PickGroup preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-PickGroup (vla-get-Selection preferences) originalValue) (alert (strcat "The PickGroup preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 22:04
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.